Autocomplete
Autocomplete Companies (indexed)
Fast type-ahead suggestions for company names. Returns up to 50 matching companies based on name prefix.
Authorization
api_key X-API-Key<token>
Sign up at Kausate.com to get an API key
In: header
Query Parameters
jurisdictionCode?|
query*string
Length
2 <= lengthlimit?|
Default
10dataSource?|
Header Parameters
Kausate-Version?string
Default
"2026-08-01"Format
dateResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.kausate.com/v2/companies/search/autocomplete?query=string" \ -H "Kausate-Version: 2026-08-01"{
"results": [
{
"kausateId": "string",
"jurisdictionCode": "ec",
"name": "string",
"alternativeNames": "string",
"identifiers": [
{
"value": "string",
"type": "ad_commercial_register_number",
"source": "aa-aggregated",
"jurisdiction": "ec",
"description": "string",
"extra": {}
}
]
}
]
}{
"detail": "Invalid company ID format",
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Not authenticated",
"code": "auth.unauthorized",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Invalid API key",
"code": "auth.forbidden",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": [
{
"loc": [
"body",
"jurisdictionCode"
],
"msg": "Field required",
"type": "missing"
}
],
"code": "request.invalid",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Rate limit exceeded, please try again later",
"code": "source.rate_limited",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "An internal error occurred",
"code": "internal.unexpected",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "This capability is not available for this jurisdiction",
"code": "capability.not_available",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Network connection error",
"code": "source.network_error",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}{
"detail": "Data source temporarily unavailable",
"code": "source.unavailable",
"request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}Last updated on